
Figure - Bug #115400
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111049 (New): AF-V2.0-副屏遥控器

【AF】【EVT】【遥控器】使用遥控器的上下左右进行选择，选中态不明显
2023-01-18 16:33 - CD TEST-方永红

Status: CLOSED Start date: 2023-01-18

Priority: Normal Due date: 2023-03-15

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version: VC1_FSE_0082_20230314

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0069.X101

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C101.202303030144

Reproducibility: Every time Fixed Version: 2023-03-02

Test Type: ST Root cause: 由于手机app没有对方向控制进行适配，所以显示效果不明显，如果需要显示明显需要三方app和系统APP对显示进行适配，或者使用电视版app

Description

【前提条件】

1、设备已开机

【测试步骤】

1.设备已连接遥控器

2.进入设置页面

3、使用遥控器的上下左右进行选择

【预期结果】

3、可以进行方向移动，选中态明显

【实际结果】

3、选中态不明显

History

#1 - 2023-01-18 18:14 - CD FW-廖涛

- Assignee changed from CD FW-廖涛 to CD FW-程天颖

#2 - 2023-01-18 18:37 - CD FW-程天颖

- Assignee changed from CD FW-程天颖 to 方案组-RD3_CDTS 王浩云

- Root cause set to 由于手机app没有对方向控制进行适配，所以显示效果不明显，如果需要显示明显需要三方app和系统APP对显示进行适配，或者使用电

视版app

Hi,浩云，遥控器的方向控制在没有适配的app中显示不明显，请帮忙确认一下是否有适配方向控制的需求，我们无法修改三方应用的适配，系统应用是

否需要对方向控制进行适配？

#3 - 2023-01-18 18:37 - CD FW-程天颖

- Status changed from New to ASSIGNED

#4 - 2023-01-30 09:37 - CD FW 曹覃刚

- Category changed from CD-FW to 依赖UI/UE
#5 - 2023-01-30 09:41 - 方案组-RD3_CDTS 王浩云

- Assignee changed from 方案组-RD3_CDTS 王浩云 to CD FW 曹覃刚

setting，launcher，屏保等系统应用需要进行适配

#6 - 2023-01-31 19:21 - CD FW 曹覃刚

- Assignee changed from CD FW 曹覃刚 to 方案组-RD3_CDTS 王浩云

Hi 浩云

如沟通，请确认此需求的开发效果以及时间节点，感谢

#7 - 2023-02-02 15:41 - 方案组-RD3_CDTS 王浩云

- Due date set to 2023-03-15

- Category changed from 依赖UI/UE to CD-APP

- Assignee changed from 方案组-RD3_CDTS 王浩云 to CD FW 曹覃刚

1. 请适配上下左右，确定/返回

2. DDL：3.15

#8 - 2023-02-02 15:41 - 方案组-RD3_CDTS 王浩云

- Target version set to VC1_FSE_0082_20230314

#9 - 2023-02-02 17:03 - CD APP-王营

- Category changed from CD-APP to CD-FW

#10 - 2023-02-02 17:06 - CD FW 曹覃刚

新需求适配，deadline 03/15

优先级放低

#11 - 2023-02-08 20:39 - CD FW 曹覃刚

- Assignee changed from CD FW 曹覃刚 to CD FW-廖涛

#12 - 2023-02-20 17:45 - CD FW-廖涛

- % Done changed from 0 to 30

#13 - 2023-02-28 15:41 - CD FW-廖涛

- % Done changed from 30 to 40

#14 - 2023-03-02 16:14 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

185360 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com
AF:Settings: Add direction control support.TC-RID: 1201-0201813IssueID: TS-R-BUG-115400Change-Id: Ie820e34d96d11d92833c7f22e344fb1bc70f3000

#15 - 2023-03-02 16:29 - CD FW-廖涛

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-廖涛 to CD TEST-方永红

- % Done changed from 40 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-03-02

■ Current conclusion

已处理，代码已入库。

■ My analysis

Settings 已对方向控制进行适配。

■ Next action

测试验证。

#16 - 2023-03-02 19:35 - CD FW-廖涛

- Status changed from RESOLVED to ASSIGNED

- Assignee changed from CD TEST-方永红 to CD FW-廖涛

- Resolution changed from FIXED to --

#17 - 2023-03-02 19:56 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

185455 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:Settings: Revert initHomepageContainer function.TC-RID: 1201-0201813IssueID: TS-R-BUG-115400Change-Id:

I2f8f1c5412b499d59a6d716aa85e86f1e88d1bfd

#18 - 2023-03-02 19:56 - CD FW-廖涛

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-廖涛 to CD TEST-方永红

- Resolution changed from -- to FIXED

■ Current conclusion

已处理，代码已入库。

■ My analysis

Settings 已对方向控制进行适配。

■ Next action

测试验证。
#19 - 2023-03-03 10:40 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_MCE_FSE.M.D.user.01.00.C101.202303030144

3.3

验证通过

#20 - 2023-03-03 10:40 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED
